ARV-TEST-0.8(1)

NAME
arv-test-0.8 - manual page for arv-test-0.8 0.8.23

DESCRIPTION

  Usage:

    arv-test-0.8 [OPTION?]

Automated test utillity.

  Help Options:

-h, --help
    Show help options

  Application Options:

-n, --name=<pattern>
    Device selection

-t, --test=<pattern>
    Test selection

-c, --configuration=<path>
    Alternative configuration

-i, --iterations=<n_iter>
    Number of test repetitions

-s, --usb-mode={sync|async}
    USB device I/O mode

-a, --cache-check
    Register cache check

--packet-socket
    Enable use of packet socket

-d, --debug={<category>[:<level>][,...]|help}

-v, --version
    Show version

arv-test is an automated test utility that tries to exercise most of the Aravis functionalities. By default it runs all the tests on all the detected devices, but devices and tests can be selected using a glob pattern.

A default configuration file is bundled in the executable. An alternative one with entries specific to the camera you want to test can be specified.